Summary: A python module for working with utmp
Name: python-utmp
Version: 0.7
Release: %mkrel 8
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: python-devel

%description
This package provides 3 python modules to access utmp and wtmp
records.  utmpaccess is lowlevel module wrapping glibc functions,
UTMPCONST provides useful constants, and utmp is module build on top
of utmpaccess module, providing object oriented interface.

%prep
%setup -q

%build
%make -f Makefile.glibc PYTHONVER=%pyver PYTHONDIR='$(DESTDIR)%_libdir/python%pyver/site-packages/'

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -f Makefile.glibc PYTHONVER=%pyver PYTHONDIR='$(DESTDIR)%_libdir/python%pyver/site-packages/'


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO examples/*
%py_platsitedir/*




%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-8mdv2009.0
+ Revision: 225164
- rebuild
- fix spacing at top of description

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7-7mdv2008.1
+ Revision: 126245
- kill re-definition of %%buildroot on Pixel's request


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7-7mdv2007.0
+ Revision: 96565
- Rebuild against new python

  + Michael Scherer <misc@mandriva.org>
    - Import python-utmp

* Fri May 05 2006 Stefan van der Eijk <stefan@eijk.nu> 0.7-6mdk
- rebuild for sparc

* Tue Jun 14 2005 Frederic Lepied <flepied@mandriva.com> 0.7-5mdk
- fix requires

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.7-4mdk
- Rebuild for new python

